import request from '@/utils/request'

// 查询人员标签列表
export function listTag(query) {
  return request({
    url: '/szxc/tag/list',
    method: 'get',
    params: query
  })
}

// 查询人员标签详细
export function getTag(id) {
  return request({
    url: '/szxc/tag/' + id,
    method: 'get'
  })
}

// 新增人员标签
export function addTag(data) {
  return request({
    url: '/szxc/tag',
    method: 'post',
    data: data
  })
}

// 修改人员标签
export function updateTag(data) {
  return request({
    url: '/szxc/tag',
    method: 'put',
    data: data
  })
}

// 删除人员标签
export function delTag(id) {
  return request({
    url: '/szxc/tag/' + id,
    method: 'delete'
  })
}
